Subject: Re: [PATCH net-next] vxlan: drop packets from invalid src-address

From: Simon Horman <[email-masked]>
Date: Tue, 2 Apr 2024 19:08:48 +0100

On Sun, Mar 31, 2024 at 11:14:34PM +0200, David Bauer wrote:
> The VXLAN driver currently does not check if the inner layer2
> source-address is valid.
> 
> In case source-address snooping/learning is enabled, a entry in the FDB
> for the invalid address is created with the layer3 address of the tunnel
> endpoint.
> 
> If the frame happens to have a non-unicast address set, all this
> non-unicast traffic is subsequently not flooded to the tunnel network
> but sent to the learnt host in the FDB. To make matters worse, this FDB
> entry does not expire.
> 
> Apply the same filtering for packets as it is done for bridges. This not
> only drops these invalid packets but avoids them from being learnt into
> the FDB.
> 
> Suggested-by: Ido Schimmel <[email-masked]>
> Signed-off-by: David Bauer <[email-masked]>

Hi David and Ido,

I wonder if this is an appropriate candidate for 'net', with a Fixes tag.
It does seem to address a user-visible problem.

...